| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiPython::Interface< TYPE > Struct Template Reference

`#include <GaudiPython/Interface.h>`

List of all members.

## Detailed Description

### template<class TYPE>
struct GaudiPython::Interface< TYPE >

Minor mofidication of original Pere's structure GaudiPython::Interface This helper class is nesessary to perform C++ castings from python.

Author:
  Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr

Date:
  2005-08-03

Definition at line 35 of file Interface.h.

## Public Member Functions
TYPE * | operator() (const IInterface *in) const
| the only one important method
## Static Public Member Functions
static TYPE * | cast (const IInterface *in)
| the only one important method (static)
static TYPE * | cast (const InterfaceID &iid, const IInterface *in)
| the only one important method (static)

## Member Function Documentation

template<class TYPE>

TYPE* GaudiPython::Interface< TYPE >::operator() | ( | const IInterface< TYPE > * | in | ) | const`[inline]`

the only one important method

Parameters:

  | in | input interface

Returns:
  resutl of "cast"

Definition at line 42 of file Interface.h.

    00043     { return SmartIF<TYPE>( TYPE::interfaceID()            ,
    00044                             const_cast<IInterface*> ( in ) ) ; }

template<class TYPE>

static TYPE* GaudiPython::Interface< TYPE >::cast | ( | const IInterface< TYPE > * | in | ) | `[inline, static]`

the only one important method (static)

Parameters:

  | in | input interface

Returns:
  resutl of "cast"

Definition at line 50 of file Interface.h.

    00051     { return SmartIF<TYPE>( const_cast<IInterface*> ( in ) ) ; }

template<class TYPE>

static TYPE* GaudiPython::Interface< TYPE >::cast | ( | const InterfaceID & | iid,
|  | const IInterface< TYPE > * | in |
| ) |  |  | `[inline, static]`

the only one important method (static)

Parameters:

  | iid | unique identifier of 'target' interface
  | in | input interface

Returns:
  resutl of "cast"

Definition at line 58 of file Interface.h.

    00060     { return SmartIF<TYPE>( iid , const_cast<IInterface*> ( in ) ) ; }

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPython/v9r2/GaudiPython/Interface.h